import 'package:flutter/material.dart';

class AiriaKeepAlive extends StatefulWidget {
  const AiriaKeepAlive({
    Key? key,
    required this.child,
  }) : super(key: key);
  final Widget child;
  @override
  _AiriaKeepAliveState createState() => _AiriaKeepAliveState();
}

class _AiriaKeepAliveState extends State<AiriaKeepAlive> with AutomaticKeepAliveClientMixin {
  @override
  Widget build(BuildContext context) {
    super.build(context);
    return widget.child;
  }

  @override
  bool get wantKeepAlive => true;
}
